/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.azurestoragefilessource;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelAzurestoragefilessourceSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_CONF = "camel.kamelet.azure-storage-files-source.accountName";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_DOC = "The Azure Storage File Share account name.";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_CONF = "camel.kamelet.azure-storage-files-source.shareName";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_DOC = "The Azure Storage File Share share name.";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_CONF = "camel.kamelet.azure-storage-files-source.sharedKey";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_DOC = "The Azure Storage Blob access key.";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_DEFAULT = null;
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_CONF = "camel.kamelet.azure-storage-files-source.delay";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_DOC = "The number of milliseconds before the next poll of the selected blob.";
    public static final Integer CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_DEFAULT = 500;
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_CONF = "camel.kamelet.azure-storage-files-source.deleteAfterRead";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_DOC = "Specifies to delete blobs after consuming them";
    public static final Boolean CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_DEFAULT = false;
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_CONF = "camel.kamelet.azure-storage-files-source.credentialType";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_DOC = "Determines the credential strategy to adopt.";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_DEFAULT = "SHARED_ACCOUNT_KEY";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_CONF = "camel.kamelet.azure-storage-files-source.directoryName";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_DOC = "The directory from where the consumer will start reading files.";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_DEFAULT = ".";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_CONF = "camel.kamelet.azure-storage-files-source.recursive";
    public static final String CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_DOC = "If a directory, the consumer will look for files in all the sub-directories as well.";
    public static final Boolean CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_DEFAULT = false;

    public CamelAzurestoragefilessourceSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelAzurestoragefilessourceSourceConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_ACCOUNT_NAME_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARE_NAME_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_CONF, ConfigDef.Type.PASSWORD, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_SHARED_KEY_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_CONF, ConfigDef.Type.INT, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELAY_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DELETE_AFTER_READ_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_CREDENTIAL_TYPE_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_DIRECTORY_NAME_DOC);
        conf.define(CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_AZURESTORAGEFILESSOURCE_KAMELET_RECURSIVE_DOC);
        return conf;
    }
}